/*
 * Copyright 2020 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, filter, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


static const char* __doc_gr_filter_hilbert_fc = R"doc(Generate Analytic Signal.

Real part of the output is an appropriately delayed version of the input while the complex part of the output is the hilbert transform of the input.


This is an indirect way of generating the hilbert transform of a signal.


()

Constructor Specific Documentation:

Build a Hilbert transformer filter block that generates the analytic signal.

Args:
    ntaps : The number of taps for the filter.
    window : Window type (see fft::window::win_type) to use.
    param : Parameter value for a Kaiser/Exp/Gaussian/Tukey window.)doc";


static const char* __doc_gr_filter_hilbert_fc_hilbert_fc = R"doc()doc";


static const char* __doc_gr_filter_hilbert_fc_make = R"doc(Generate Analytic Signal.

Real part of the output is an appropriately delayed version of the input while the complex part of the output is the hilbert transform of the input.


This is an indirect way of generating the hilbert transform of a signal.


()

Constructor Specific Documentation:

Build a Hilbert transformer filter block that generates the analytic signal.

Args:
    ntaps : The number of taps for the filter.
    window : Window type (see fft::window::win_type) to use.
    param : Parameter value for a Kaiser/Exp/Gaussian/Tukey window.)doc";
